6.0.0-git
2019-03-18

[#7702] Undefined property: SyncML_Command_Status::$_Data
Summary Undefined property: SyncML_Command_Status::$_Data
Queue Synchronization
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester bigmichi1 (at) bigmichi1 (dot) de
Created 2008-11-18 (3772 days ago)
Due
Updated 2009-08-26 (3491 days ago)
Assigned 2008-12-07 (3753 days ago)
Resolved 2009-08-26 (3491 days ago)
Milestone
Patch Yes

History
2009-08-26 15:24:56 Jan Schneider Comment #7
State ⇒ Resolved
Patch ⇒ Yes
Reply to this comment
Looks correct, thanks!
2009-08-26 11:42:32 lst_hoe02 (at) kwsoft (dot) de Comment #5 Reply to this comment
Should be fixed by this one (_Data is really not defined but _Status 
is most likely meant)



--- lib/SyncML/Command/Status.php.orig        2009-04-30 19:34:28.000000000 +0200

+++ lib/SyncML/Command/Status.php.neu        2009-08-26 12:00:24.000000000 +0200

@@ -140,7 +140,7 @@

                               * wasn't found on the client. Try an Add

                               * instead. */

                              if ($this->_Cmd == 'Replace' &&

-                                $this->_Data == RESPONSE_NOT_FOUND) {

+                                $this->_Status == RESPONSE_NOT_FOUND) {

                                  $sync->setServerChange('add', 
$id[0], $id[1]);

                              }

                              if (isset($this->_SourceRef) || 
isset($this->_TargetRef)) {
2008-12-07 23:38:35 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
 
2008-11-21 06:47:14 bigmichi1 (at) bigmichi1 (dot) de New Attachment: server_32.xml Download
 
2008-11-21 06:46:58 bigmichi1 (at) bigmichi1 (dot) de New Attachment: server_31.xml Download
 
2008-11-21 06:46:41 bigmichi1 (at) bigmichi1 (dot) de New Attachment: server_30.xml Download
 
2008-11-21 06:46:19 bigmichi1 (at) bigmichi1 (dot) de New Attachment: server_22.xml Download
 
2008-11-21 06:46:02 bigmichi1 (at) bigmichi1 (dot) de New Attachment: server_21.xml Download
 
2008-11-21 06:45:43 bigmichi1 (at) bigmichi1 (dot) de New Attachment: server_20.xml Download
 
2008-11-21 06:45:28 bigmichi1 (at) bigmichi1 (dot) de New Attachment: server_12.xml Download
 
2008-11-21 06:45:12 bigmichi1 (at) bigmichi1 (dot) de New Attachment: server_11.xml Download
 
2008-11-21 06:44:54 bigmichi1 (at) bigmichi1 (dot) de New Attachment: server_10.xml Download
 
2008-11-21 06:44:00 bigmichi1 (at) bigmichi1 (dot) de New Attachment: packetnum.txt Download
 
2008-11-21 06:43:45 bigmichi1 (at) bigmichi1 (dot) de New Attachment: log.txt Download
 
2008-11-21 06:43:30 bigmichi1 (at) bigmichi1 (dot) de New Attachment: devinf.txt Download
 
2008-11-21 06:43:15 bigmichi1 (at) bigmichi1 (dot) de New Attachment: data.txt Download
 
2008-11-21 06:42:08 bigmichi1 (at) bigmichi1 (dot) de New Attachment: client_32.xml Download
 
2008-11-21 06:41:49 bigmichi1 (at) bigmichi1 (dot) de New Attachment: client_31.xml Download
 
2008-11-21 06:41:33 bigmichi1 (at) bigmichi1 (dot) de New Attachment: client_30.xml Download
 
2008-11-21 06:41:17 bigmichi1 (at) bigmichi1 (dot) de New Attachment: client_22.xml Download
 
2008-11-21 06:40:58 bigmichi1 (at) bigmichi1 (dot) de New Attachment: client_21.xml Download
 
2008-11-21 06:40:41 bigmichi1 (at) bigmichi1 (dot) de New Attachment: client_20.xml Download
 
2008-11-21 06:40:26 bigmichi1 (at) bigmichi1 (dot) de New Attachment: client_12.xml Download
 
2008-11-21 06:40:07 bigmichi1 (at) bigmichi1 (dot) de New Attachment: client_11.xml Download
 
2008-11-21 06:39:45 bigmichi1 (at) bigmichi1 (dot) de New Attachment: client_10.xml Download
 
2008-11-18 15:32:21 Chuck Hagenbuch Version ⇒
Queue ⇒ Synchronization
 
2008-11-18 12:42:43 Jan Schneider Comment #4 Reply to this comment
is there a secure way to publish the content of the generated files
in the /tmp/sync directory, because i looked through some of them and
find references in many places that shouldn't be viewable by everyone
here
Not at the moment.
2008-11-18 11:32:52 bigmichi1 (at) bigmichi1 (dot) de Comment #3 Reply to this comment
is there a secure way to publish the content of the generated files in 
the /tmp/sync directory, because i looked through some of them and 
find references in many places that shouldn't be viewable by everyone 
here



i encountered that this warning only comes up in the logs when i 
update a contact and then sync



no errors are logged in the file that is configured in php.ini (error_log)
2008-11-18 10:30:11 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Please read http://wiki.horde.org/SyncMLProblemReport and follow the 
steps to generate complete SyncML debugging information.
2008-11-18 08:32:49 bigmichi1 (at) bigmichi1 (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Undefined property: SyncML_Command_Status::$_Data
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
following message is written to my horde.log file when i sync my 
outlook contacts with the funambol plugin over rpc



Nov 17 06:28:52 HORDE [warning] [horde] Caught output: <br />

<b>Notice</b>:  Undefined property: SyncML_Command_Status::$_Data in 
<b>/var/www/horde/lib/SyncML/Command/Status.php</b> on line 
<b>143</b><br />

<br />

<b>Notice</b>:  Undefined property: SyncML_Command_Status::$_Data in 
<b>/var/www/horde/lib/SyncML/Command/Status.php</b> on line 
<b>143</b><br />

  [pid 28078 on line 192 of "/var/www/horde/lib/SyncML.php"]


Saved Queries